Package de.willuhn.jameica.hbci.gui.views

# Class UmsatzDetailEdit

java.lang.Object
de.willuhn.jameica.gui.AbstractView
de.willuhn.jameica.hbci.gui.views.AbstractUmsatzDetail
de.willuhn.jameica.hbci.gui.views.UmsatzDetailEdit

public class UmsatzDetailEdit extends AbstractUmsatzDetail
Bildet die Edit-Ansicht einer Buchung ab.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzDetailEdit()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bind()`
`protected UmsatzDetailEditControl`
`getControl()`
Liefert den Controller.

### Methods inherited from class de.willuhn.jameica.gui.AbstractView

`canAttach, canBookmark, getCurrentObject, getHelp, getParent, reload, setCurrentObject, setParent, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzDetailEdit

public UmsatzDetailEdit()

## Method Details

### bind

public void bind() throws Exception

Overrides:
  `bind` in class `AbstractUmsatzDetail`
Throws:
  `Exception`
See Also:
  - `AbstractView.bind()`

### getControl

protected UmsatzDetailEditControl getControl()
Description copied from class: `AbstractUmsatzDetail`
Liefert den Controller.

Specified by:
  `getControl` in class `AbstractUmsatzDetail`
Returns:
  der Controller.
See Also:
  - `AbstractUmsatzDetail.getControl()`